### Method

# Gimp Image import_paths_from_string

since: 2.4

#### Declaration [src]

    gboolean
    gimp_image_import_paths_from_string (
      GimpImage* image,
      const gchar* string,
      gint length,
      gboolean merge,
      gboolean scale,
      GimpPath*** paths
    )

#### Description [src]

Import paths from an SVG string.

This procedure works like `gimp_image_import_paths_from_file()` but takes a string rather than reading the SVG from a file. This allows you to write scripts that generate SVG and feed it to GIMP.

Available since: 2.4

#### Parameters

`string`

  Type: `const gchar*`

  A string that must be a complete and valid SVG document.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gint`

  Number of bytes in string or -1 if the string is NULL terminated.

`merge`

  Type: `gboolean`

  Merge paths into a single path object.

`scale`

  Type: `gboolean`

  Scale the SVG to image dimensions.

`paths`

  Type: An array of `GimpPath*`

  The list of newly created paths.

  The argument will be set by the function.
  The array must be `NULL`-terminated.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

#### Return value

Type: `gboolean`

TRUE on success.